function [peakamplitude,gesamtleistung,varianz]=spara(filename,filepath,mode)
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

[audio.signal,audio.fs,audio.bits]=wavread(filename);

% maximale Amplitude
audio.monosignal=audio.signal(:,1);
peakamplitude=max(audio.monosignal);

% Gesamtleistung
signalgroessenvec=size(audio.monosignal);
signalgroesse=signalgroessenvec(1);
gesamtleistung=(sum(abs(audio.monosignal)))/signalgroesse;

% Varianz
varianz=var(audio.monosignal);

return